Google Chrome funciona com o Maker?



  • Olá...

    Gostaria de saber se o Google Chrome funciona com o Maker?
    Já existe alguma versão homologada?
    Tentei usar a versão 16.0.912.63 do Google Chrome no Maker 2.7 e os formulários não funcionam corretamente...
    Alguma dica?

    Grato


  • O Google Chrome está em fase de homologação. Qual problema especificamente você está tendo?


  • Boa tarde,

    Estou usando a versão 16.0.912.77 m do Chrome e até o momento só tive problemas quando se tenta digitar a letra 'P'.


  • Daniel,

    Qual a versão exata do seu Webrun? Testei com a versão 2.7.0.7 do Webrun e funcionou perfeitamente. Certifique-se que não existam alterações no seu "Maker.Commons", pois, o erro pode ter sido causado por modificações nos JS originais do Webrun. Desde a versão 2.6 não vejo mais esse erro reportado, mas, como o Chrome tem atualizações constantes o erro pode ter voltado, meus testes foram feitos com a versão 16.0.912.77 m do Chrome.

    Att,


  • Bom dia Lourival,

    Estou usando a versão 2.6.2.16. Acabei de baixar a versão completa da 2.7 para testar. Talvez o que esteja ocorrendo são os velhos bugs das funções, pois não há garantia nenhuma que uma atualização não afete uma função que não foi alterada em uma mudança de versão. Com o firefox, desde que migrei para versão 10.x , os aplicativos tiveram problemas.


  • Daniel,

    A correção das teclas no Chrome foi feita com modificações nos arquivos internos do Webrun, se você usar a 2.7, ou as 2.6.x mais recentes verá que o erro não ocorre mais (lembre-se de remover qualquer JS do Maker.Commons na atualização).

    Já a alteração do Firefox é um caso totalmente diferente e muito criticado (http://www.winajuda.com/noticias/firefox-fraco-ambientes-corporativos.html e http://cio.uol.com.br/noticias/2011/09/26/firefox-tera-versao-especial-para-uso-corporativo/). Se você fizer uma retrospectiva vai ver que o Firefox em menos de 01 ano saiu da versão 3.x para a 11.0, isso afetou de forma geral todas as aplicações, não só o Webrun.

    De qualquer forma a versão 2.7 foi lançada com diversas atualizações para as novas versões de navegadores, não basta atualizar o Maker, neste caso o mais importante é atualizar o Webrun. Com o Webrun 2.7 consigo usar normalmente o FF 11, Chrome 16 e IE 9.

Log in to reply